Index: LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 3625)
+++ LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 3630)
@@ -121,5 +121,4 @@
   LOGICAL :: flag_aer_feedback
   LOGICAL :: flag_bc_internal_mixture
-  LOGICAL :: new_aod
   REAL    :: bl95_b0, bl95_b1
   INTEGER :: read_climoz                        !--- Read ozone climatology
@@ -143,5 +142,5 @@
                    chemistry_couple, flag_aerosol, flag_aerosol_strat,  & 
                    flag_aer_feedback,                                   &
-                   new_aod, flag_bc_internal_mixture, bl95_b0, bl95_b1, &
+                   flag_bc_internal_mixture, bl95_b0, bl95_b1, &
                    read_climoz, alp_offset)
   CALL phys_state_var_init(read_climoz)
Index: LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 3625)
+++ LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 3630)
@@ -85,5 +85,5 @@
   SUBROUTINE phys_output_write_spl(itap, pdtphys, paprs, pphis, &
        pplay, lmax_th, aerosol_couple,         &
-       ok_ade, ok_aie, ivap, new_aod, ok_sync, &
+       ok_ade, ok_aie, ivap, ok_sync, &
        ptconv, read_climoz, clevSTD, ptconvth, &
        d_t, qx, d_qx, d_tr_dyn, zmasse, flag_aerosol, flag_aerosol_strat, ok_cdnc)
@@ -405,5 +405,4 @@
     INTEGER, DIMENSION(klon) :: lmax_th
     LOGICAL :: aerosol_couple, ok_sync
-    LOGICAL :: ok_ade, ok_aie, new_aod
     LOGICAL, DIMENSION(klon, klev) :: ptconv, ptconvth
     REAL :: pdtphys
@@ -994,42 +993,39 @@
 !--OLIVIER
 !This is warranted by treating INCA aerosols as offline aerosols
-!       IF (new_aod .and. (.not. aerosol_couple)) THEN
-       IF (new_aod) THEN
-          IF (flag_aerosol.GT.0) THEN
-             CALL histwrite_phy(o_od550aer, od550aer)
-             CALL histwrite_phy(o_od865aer, od865aer)
-             CALL histwrite_phy(o_absvisaer, absvisaer)
-             CALL histwrite_phy(o_od550lt1aer, od550lt1aer)
-             CALL histwrite_phy(o_sconcso4, sconcso4)
-             CALL histwrite_phy(o_sconcno3, sconcno3)
-             CALL histwrite_phy(o_sconcoa, sconcoa)
-             CALL histwrite_phy(o_sconcbc, sconcbc)
-             CALL histwrite_phy(o_sconcss, sconcss)
-             CALL histwrite_phy(o_sconcdust, sconcdust)
-             CALL histwrite_phy(o_concso4, concso4)
-             CALL histwrite_phy(o_concno3, concno3)
-             CALL histwrite_phy(o_concoa, concoa)
-             CALL histwrite_phy(o_concbc, concbc)
-             CALL histwrite_phy(o_concss, concss)
-             CALL histwrite_phy(o_concdust, concdust)
-             CALL histwrite_phy(o_loadso4, loadso4)
-             CALL histwrite_phy(o_loadoa, loadoa)
-             CALL histwrite_phy(o_loadbc, loadbc)
-             CALL histwrite_phy(o_loadss, loadss)
-             CALL histwrite_phy(o_loaddust, loaddust)
-             !--STRAT AER
-          ENDIF
-          IF (flag_aerosol.GT.0.OR.flag_aerosol_strat>=1) THEN
-!             DO naero = 1, naero_spc
+       IF (flag_aerosol.GT.0) THEN
+          CALL histwrite_phy(o_od550aer, od550aer)
+          CALL histwrite_phy(o_od865aer, od865aer)
+          CALL histwrite_phy(o_absvisaer, absvisaer)
+          CALL histwrite_phy(o_od550lt1aer, od550lt1aer)
+          CALL histwrite_phy(o_sconcso4, sconcso4)
+          CALL histwrite_phy(o_sconcno3, sconcno3)
+          CALL histwrite_phy(o_sconcoa, sconcoa)
+          CALL histwrite_phy(o_sconcbc, sconcbc)
+          CALL histwrite_phy(o_sconcss, sconcss)
+          CALL histwrite_phy(o_sconcdust, sconcdust)
+          CALL histwrite_phy(o_concso4, concso4)
+          CALL histwrite_phy(o_concno3, concno3)
+          CALL histwrite_phy(o_concoa, concoa)
+          CALL histwrite_phy(o_concbc, concbc)
+          CALL histwrite_phy(o_concss, concss)
+          CALL histwrite_phy(o_concdust, concdust)
+          CALL histwrite_phy(o_loadso4, loadso4)
+          CALL histwrite_phy(o_loadoa, loadoa)
+          CALL histwrite_phy(o_loadbc, loadbc)
+          CALL histwrite_phy(o_loadss, loadss)
+          CALL histwrite_phy(o_loaddust, loaddust)
+          !--STRAT AER
+       ENDIF
+       IF (flag_aerosol.GT.0.OR.flag_aerosol_strat>=1) THEN
+!          DO naero = 1, naero_spc
 !--correction mini bug OB
-             DO naero = 1, naero_tot
-                CALL histwrite_phy(o_tausumaero(naero), &
-                     tausum_aero(:,2,naero) )
-             ENDDO
-          ENDIF
-          IF (flag_aerosol_strat>=1) THEN
-             CALL histwrite_phy(o_tausumaero_lw, &
-                  tausum_aero(:,6,id_STRAT_phy) )
-          ENDIF
+          DO naero = 1, naero_tot
+             CALL histwrite_phy(o_tausumaero(naero), &
+                  tausum_aero(:,2,naero) )
+          ENDDO
+       ENDIF
+       IF (flag_aerosol_strat>=1) THEN
+          CALL histwrite_phy(o_tausumaero_lw, &
+               tausum_aero(:,6,id_STRAT_phy) )
        ENDIF
        IF (ok_ade) THEN
@@ -1043,24 +1039,22 @@
           CALL histwrite_phy(o_sollwad0, sollwad0_aero)
           !====MS forcing diagnostics
-          IF (new_aod) THEN
-             CALL histwrite_phy(o_swtoaas_nat, topsw_aero(:,1))
-             CALL histwrite_phy(o_swsrfas_nat, solsw_aero(:,1))
-             CALL histwrite_phy(o_swtoacs_nat, topsw0_aero(:,1))
-             CALL histwrite_phy(o_swsrfcs_nat, solsw0_aero(:,1))
-             !ant
-             CALL histwrite_phy(o_swtoaas_ant, topsw_aero(:,2))
-             CALL histwrite_phy(o_swsrfas_ant, solsw_aero(:,2))
-             CALL histwrite_phy(o_swtoacs_ant, topsw0_aero(:,2))
-             CALL histwrite_phy(o_swsrfcs_ant, solsw0_aero(:,2))
-             !cf
-             IF (.not. aerosol_couple) THEN
-                CALL histwrite_phy(o_swtoacf_nat, topswcf_aero(:,1))
-                CALL histwrite_phy(o_swsrfcf_nat, solswcf_aero(:,1))
-                CALL histwrite_phy(o_swtoacf_ant, topswcf_aero(:,2))
-                CALL histwrite_phy(o_swsrfcf_ant, solswcf_aero(:,2))
-                CALL histwrite_phy(o_swtoacf_zero,topswcf_aero(:,3))
-                CALL histwrite_phy(o_swsrfcf_zero,solswcf_aero(:,3))
-             ENDIF
-          ENDIF ! new_aod
+          CALL histwrite_phy(o_swtoaas_nat, topsw_aero(:,1))
+          CALL histwrite_phy(o_swsrfas_nat, solsw_aero(:,1))
+          CALL histwrite_phy(o_swtoacs_nat, topsw0_aero(:,1))
+          CALL histwrite_phy(o_swsrfcs_nat, solsw0_aero(:,1))
+          !ant
+          CALL histwrite_phy(o_swtoaas_ant, topsw_aero(:,2))
+          CALL histwrite_phy(o_swsrfas_ant, solsw_aero(:,2))
+          CALL histwrite_phy(o_swtoacs_ant, topsw0_aero(:,2))
+          CALL histwrite_phy(o_swsrfcs_ant, solsw0_aero(:,2))
+          !cf
+          IF (.not. aerosol_couple) THEN
+             CALL histwrite_phy(o_swtoacf_nat, topswcf_aero(:,1))
+             CALL histwrite_phy(o_swsrfcf_nat, solswcf_aero(:,1))
+             CALL histwrite_phy(o_swtoacf_ant, topswcf_aero(:,2))
+             CALL histwrite_phy(o_swsrfcf_ant, solswcf_aero(:,2))
+             CALL histwrite_phy(o_swtoacf_zero,topswcf_aero(:,3))
+             CALL histwrite_phy(o_swsrfcf_zero,solswcf_aero(:,3))
+          ENDIF
           !====MS forcing diagnostics
        ENDIF
Index: LMDZ6/trunk/libf/phylmd/conf_phys_m.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/conf_phys_m.F90	(revision 3625)
+++ LMDZ6/trunk/libf/phylmd/conf_phys_m.F90	(revision 3630)
@@ -18,5 +18,5 @@
        iflag_ratqs,ratqsbas,ratqshaut,tau_ratqs, &
        ok_ade, ok_aie, ok_alw, ok_cdnc, ok_volcan, aerosol_couple, chemistry_couple, &
-       flag_aerosol, flag_aerosol_strat, flag_aer_feedback, new_aod, &
+       flag_aerosol, flag_aerosol_strat, flag_aer_feedback, &
        flag_bc_internal_mixture, bl95_b0, bl95_b1,&
        read_climoz, &
@@ -78,5 +78,4 @@
     LOGICAL              :: flag_aer_feedback
     LOGICAL              :: flag_bc_internal_mixture
-    LOGICAL              :: new_aod
     REAL                 :: bl95_b0, bl95_b1
     REAL                 :: fact_cldcon, facttemps,ratqsbas,ratqshaut,tau_ratqs
@@ -100,5 +99,4 @@
     LOGICAL, SAVE       :: flag_aer_feedback_omp
     LOGICAL, SAVE       :: flag_bc_internal_mixture_omp
-    LOGICAL, SAVE       :: new_aod_omp
     REAL,SAVE           :: bl95_b0_omp, bl95_b1_omp
     REAL,SAVE           :: freq_ISCCP_omp, ecrit_ISCCP_omp
@@ -453,13 +451,4 @@
     CALL getin('flag_bc_internal_mixture',flag_bc_internal_mixture_omp)
 
-    ! Temporary variable for testing purpose!
-    !Config Key  = new_aod
-    !Config Desc = which calcul of aeropt
-    !Config Def  = FALSE
-    !Config Help = Used in physiq.F
-    !
-    new_aod_omp = .TRUE.
-    CALL getin('new_aod',new_aod_omp)
-
     ! 
     !Config Key  = aer_type 
@@ -2328,5 +2317,4 @@
     flag_aer_feedback=flag_aer_feedback_omp
     flag_bc_internal_mixture=flag_bc_internal_mixture_omp
-    new_aod=new_aod_omp
     aer_type = aer_type_omp
     bl95_b0 = bl95_b0_omp
@@ -2503,7 +2491,4 @@
        IF ( flag_aerosol .EQ. 0 ) THEN
           CALL abort_physic('conf_phys','flag_aerosol=0 not compatible avec ok_ade ou ok_aie=.TRUE.',1)
-       ENDIF
-       IF ( .NOT. new_aod .AND.  flag_aerosol .NE. 1) THEN
-          CALL abort_physic('conf_phys','new_aod=.FALSE. not compatible avec flag_aerosol=1',1)
        ENDIF
     ENDIF
@@ -2676,5 +2661,4 @@
     WRITE(lunout,*) ' flag_aerosol_strat= ', flag_aerosol_strat
     WRITE(lunout,*) ' flag_aer_feedback= ', flag_aer_feedback
-    WRITE(lunout,*) ' new_aod = ', new_aod
     WRITE(lunout,*) ' aer_type = ',aer_type
     WRITE(lunout,*) ' bl95_b0 = ',bl95_b0
Index: LMDZ6/trunk/libf/phylmd/phys_output_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phys_output_mod.F90	(revision 3625)
+++ LMDZ6/trunk/libf/phylmd/phys_output_mod.F90	(revision 3630)
@@ -29,5 +29,5 @@
        ok_hf,ok_instan,ok_LES,ok_ade,ok_aie, read_climoz, &
        phys_out_filestations, &
-       new_aod, aerosol_couple, flag_aerosol_strat, &
+       aerosol_couple, flag_aerosol_strat, &
        pdtphys, paprs, pphis, pplay, lmax_th, ptconv, ptconvth, ivap, &
        d_u, d_t, qx, d_qx, zmasse, ok_sync)   
@@ -85,5 +85,5 @@
     LOGICAL                               :: ok_LES,ok_ade,ok_aie
     INTEGER                               :: flag_aerosol_strat
-    LOGICAL                               :: new_aod, aerosol_couple
+    LOGICAL                               :: aerosol_couple
     INTEGER, INTENT(IN)::  read_climoz ! read ozone climatology
     !     Allowed values are 0, 1 and 2
Index: LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 3625)
+++ LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 3630)
@@ -17,5 +17,5 @@
   SUBROUTINE phys_output_write(itap, pdtphys, paprs, pphis, &
        pplay, lmax_th, aerosol_couple,         &
-       ok_ade, ok_aie, ok_volcan, ivap, iliq, isol, new_aod, ok_sync, &
+       ok_ade, ok_aie, ok_volcan, ivap, iliq, isol, ok_sync, &
        ptconv, read_climoz, clevSTD, ptconvth, &
        d_u, d_t, qx, d_qx, zmasse, flag_aerosol, flag_aerosol_strat, ok_cdnc)
@@ -400,5 +400,5 @@
     INTEGER, DIMENSION(klon) :: lmax_th
     LOGICAL :: aerosol_couple, ok_sync
-    LOGICAL :: ok_ade, ok_aie, ok_volcan, new_aod
+    LOGICAL :: ok_ade, ok_aie, ok_volcan
     LOGICAL, DIMENSION(klon, klev) :: ptconv, ptconvth
     REAL :: pdtphys
@@ -1393,44 +1393,41 @@
 !--OLIVIER
 !This is warranted by treating INCA aerosols as offline aerosols
-!       IF (new_aod .and. (.not. aerosol_couple)) THEN
-       IF (new_aod) THEN
-          IF (flag_aerosol.GT.0) THEN
-             CALL histwrite_phy(o_od443aer, od443aer)
-             CALL histwrite_phy(o_od550aer, od550aer)
-             CALL histwrite_phy(o_od865aer, od865aer)
-             CALL histwrite_phy(o_abs550aer, abs550aer)
-             CALL histwrite_phy(o_od550lt1aer, od550lt1aer)
-             CALL histwrite_phy(o_sconcso4, sconcso4)
-             CALL histwrite_phy(o_sconcno3, sconcno3)
-             CALL histwrite_phy(o_sconcoa, sconcoa)
-             CALL histwrite_phy(o_sconcbc, sconcbc)
-             CALL histwrite_phy(o_sconcss, sconcss)
-             CALL histwrite_phy(o_sconcdust, sconcdust)
-             CALL histwrite_phy(o_concso4, concso4)
-             CALL histwrite_phy(o_concno3, concno3)
-             CALL histwrite_phy(o_concoa, concoa)
-             CALL histwrite_phy(o_concbc, concbc)
-             CALL histwrite_phy(o_concss, concss)
-             CALL histwrite_phy(o_concdust, concdust)
-             CALL histwrite_phy(o_loadso4, loadso4)
-             CALL histwrite_phy(o_loadoa, loadoa)
-             CALL histwrite_phy(o_loadbc, loadbc)
-             CALL histwrite_phy(o_loadss, loadss)
-             CALL histwrite_phy(o_loaddust, loaddust)
-             CALL histwrite_phy(o_loadno3, loadno3)
-             CALL histwrite_phy(o_dryod550aer, dryod550aer)
-             DO naero = 1, naero_tot-1
-                CALL histwrite_phy(o_drytausumaero(naero),drytausum_aero(:,naero))
-             END DO
-          ENDIF
-          !--STRAT AER
-          IF (flag_aerosol.GT.0.OR.flag_aerosol_strat.GT.0) THEN
-             DO naero = 1, naero_tot
-                CALL histwrite_phy(o_tausumaero(naero),tausum_aero(:,2,naero))
-             END DO
-          ENDIF
-          IF (flag_aerosol_strat.GT.0) THEN
-             CALL histwrite_phy(o_tausumaero_lw,tausum_aero(:,6,id_STRAT_phy))
-          ENDIF
+       IF (flag_aerosol.GT.0) THEN
+          CALL histwrite_phy(o_od443aer, od443aer)
+          CALL histwrite_phy(o_od550aer, od550aer)
+          CALL histwrite_phy(o_od865aer, od865aer)
+          CALL histwrite_phy(o_abs550aer, abs550aer)
+          CALL histwrite_phy(o_od550lt1aer, od550lt1aer)
+          CALL histwrite_phy(o_sconcso4, sconcso4)
+          CALL histwrite_phy(o_sconcno3, sconcno3)
+          CALL histwrite_phy(o_sconcoa, sconcoa)
+          CALL histwrite_phy(o_sconcbc, sconcbc)
+          CALL histwrite_phy(o_sconcss, sconcss)
+          CALL histwrite_phy(o_sconcdust, sconcdust)
+          CALL histwrite_phy(o_concso4, concso4)
+          CALL histwrite_phy(o_concno3, concno3)
+          CALL histwrite_phy(o_concoa, concoa)
+          CALL histwrite_phy(o_concbc, concbc)
+          CALL histwrite_phy(o_concss, concss)
+          CALL histwrite_phy(o_concdust, concdust)
+          CALL histwrite_phy(o_loadso4, loadso4)
+          CALL histwrite_phy(o_loadoa, loadoa)
+          CALL histwrite_phy(o_loadbc, loadbc)
+          CALL histwrite_phy(o_loadss, loadss)
+          CALL histwrite_phy(o_loaddust, loaddust)
+          CALL histwrite_phy(o_loadno3, loadno3)
+          CALL histwrite_phy(o_dryod550aer, dryod550aer)
+          DO naero = 1, naero_tot-1
+             CALL histwrite_phy(o_drytausumaero(naero),drytausum_aero(:,naero))
+          END DO
+       ENDIF
+       !--STRAT AER
+       IF (flag_aerosol.GT.0.OR.flag_aerosol_strat.GT.0) THEN
+          DO naero = 1, naero_tot
+             CALL histwrite_phy(o_tausumaero(naero),tausum_aero(:,2,naero))
+          END DO
+       ENDIF
+       IF (flag_aerosol_strat.GT.0) THEN
+          CALL histwrite_phy(o_tausumaero_lw,tausum_aero(:,6,id_STRAT_phy))
        ENDIF
 
@@ -1522,41 +1519,39 @@
           CALL histwrite_phy(o_sollwad0, sollwad0_aero)
           !====MS forcing diagnostics
-          IF (new_aod) THEN
           !ym warning : topsw_aero, solsw_aero, topsw0_aero, solsw0_aero are not defined by model
           !ym => init to 0 in radlwsw_m.F90 ztopsw_aero, zsolsw_aero, ztopsw0_aero, zsolsw0_aero
 
-             IF (vars_defined) zx_tmp_fi2d(:)=topsw_aero(:,1)*swradcorr(:)
-             CALL histwrite_phy(o_swtoaas_nat,zx_tmp_fi2d)
-             IF (vars_defined) zx_tmp_fi2d(:)=solsw_aero(:,1)*swradcorr(:)
-             CALL histwrite_phy(o_swsrfas_nat,zx_tmp_fi2d)
-             IF (vars_defined) zx_tmp_fi2d(:)=topsw0_aero(:,1)*swradcorr(:)
-             CALL histwrite_phy(o_swtoacs_nat,zx_tmp_fi2d)
-             IF (vars_defined) zx_tmp_fi2d(:)=solsw0_aero(:,1)*swradcorr(:)
-             CALL histwrite_phy(o_swsrfcs_nat,zx_tmp_fi2d)
-             !ant
-             IF (vars_defined) zx_tmp_fi2d(:)=topsw_aero(:,2)*swradcorr(:)
-             CALL histwrite_phy(o_swtoaas_ant,zx_tmp_fi2d)
-             IF (vars_defined) zx_tmp_fi2d(:)=solsw_aero(:,2)*swradcorr(:)
-             CALL histwrite_phy(o_swsrfas_ant,zx_tmp_fi2d)
-             IF (vars_defined) zx_tmp_fi2d(:)=topsw0_aero(:,2)*swradcorr(:)
-             CALL histwrite_phy(o_swtoacs_ant,zx_tmp_fi2d)
-             IF (vars_defined) zx_tmp_fi2d(:)=solsw0_aero(:,2)*swradcorr(:)
-             CALL histwrite_phy(o_swsrfcs_ant,zx_tmp_fi2d)
-             !cf
-             IF (.not. aerosol_couple) THEN
-                IF (vars_defined) zx_tmp_fi2d(:)=topswcf_aero(:,1)*swradcorr(:)
-                CALL histwrite_phy(o_swtoacf_nat,zx_tmp_fi2d)
-                IF (vars_defined) zx_tmp_fi2d(:)=solswcf_aero(:,1)*swradcorr(:)
-                CALL histwrite_phy(o_swsrfcf_nat,zx_tmp_fi2d)
-                IF (vars_defined) zx_tmp_fi2d(:)=topswcf_aero(:,2)*swradcorr(:)
-                CALL histwrite_phy(o_swtoacf_ant,zx_tmp_fi2d)
-                IF (vars_defined) zx_tmp_fi2d(:)=solswcf_aero(:,2)*swradcorr(:)
-                CALL histwrite_phy(o_swsrfcf_ant,zx_tmp_fi2d)
-                IF (vars_defined) zx_tmp_fi2d(:)=topswcf_aero(:,3)*swradcorr(:)
-                CALL histwrite_phy(o_swtoacf_zero,zx_tmp_fi2d)
-                IF (vars_defined) zx_tmp_fi2d(:)=solswcf_aero(:,3)*swradcorr(:)
-                CALL histwrite_phy(o_swsrfcf_zero,zx_tmp_fi2d)
-             ENDIF
-          ENDIF ! new_aod
+          IF (vars_defined) zx_tmp_fi2d(:)=topsw_aero(:,1)*swradcorr(:)
+          CALL histwrite_phy(o_swtoaas_nat,zx_tmp_fi2d)
+          IF (vars_defined) zx_tmp_fi2d(:)=solsw_aero(:,1)*swradcorr(:)
+          CALL histwrite_phy(o_swsrfas_nat,zx_tmp_fi2d)
+          IF (vars_defined) zx_tmp_fi2d(:)=topsw0_aero(:,1)*swradcorr(:)
+          CALL histwrite_phy(o_swtoacs_nat,zx_tmp_fi2d)
+          IF (vars_defined) zx_tmp_fi2d(:)=solsw0_aero(:,1)*swradcorr(:)
+          CALL histwrite_phy(o_swsrfcs_nat,zx_tmp_fi2d)
+          !ant
+          IF (vars_defined) zx_tmp_fi2d(:)=topsw_aero(:,2)*swradcorr(:)
+          CALL histwrite_phy(o_swtoaas_ant,zx_tmp_fi2d)
+          IF (vars_defined) zx_tmp_fi2d(:)=solsw_aero(:,2)*swradcorr(:)
+          CALL histwrite_phy(o_swsrfas_ant,zx_tmp_fi2d)
+          IF (vars_defined) zx_tmp_fi2d(:)=topsw0_aero(:,2)*swradcorr(:)
+          CALL histwrite_phy(o_swtoacs_ant,zx_tmp_fi2d)
+          IF (vars_defined) zx_tmp_fi2d(:)=solsw0_aero(:,2)*swradcorr(:)
+          CALL histwrite_phy(o_swsrfcs_ant,zx_tmp_fi2d)
+          !cf
+          IF (.not. aerosol_couple) THEN
+             IF (vars_defined) zx_tmp_fi2d(:)=topswcf_aero(:,1)*swradcorr(:)
+             CALL histwrite_phy(o_swtoacf_nat,zx_tmp_fi2d)
+             IF (vars_defined) zx_tmp_fi2d(:)=solswcf_aero(:,1)*swradcorr(:)
+             CALL histwrite_phy(o_swsrfcf_nat,zx_tmp_fi2d)
+             IF (vars_defined) zx_tmp_fi2d(:)=topswcf_aero(:,2)*swradcorr(:)
+             CALL histwrite_phy(o_swtoacf_ant,zx_tmp_fi2d)
+             IF (vars_defined) zx_tmp_fi2d(:)=solswcf_aero(:,2)*swradcorr(:)
+             CALL histwrite_phy(o_swsrfcf_ant,zx_tmp_fi2d)
+             IF (vars_defined) zx_tmp_fi2d(:)=topswcf_aero(:,3)*swradcorr(:)
+             CALL histwrite_phy(o_swtoacf_zero,zx_tmp_fi2d)
+             IF (vars_defined) zx_tmp_fi2d(:)=solswcf_aero(:,3)*swradcorr(:)
+             CALL histwrite_phy(o_swsrfcf_zero,zx_tmp_fi2d)
+          ENDIF
           !====MS forcing diagnostics
        ENDIF
Index: LMDZ6/trunk/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 3625)
+++ LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 3630)
@@ -1065,6 +1065,4 @@
     LOGICAL, SAVE :: flag_bc_internal_mixture
     !$OMP THREADPRIVATE(flag_bc_internal_mixture)
-    LOGICAL, SAVE :: new_aod
-    !$OMP THREADPRIVATE(new_aod) 
     !
     !--STRAT AEROSOL
@@ -1249,5 +1247,5 @@
             ok_ade, ok_aie, ok_alw, ok_cdnc, ok_volcan, aerosol_couple, &
             chemistry_couple, &
-            flag_aerosol, flag_aerosol_strat, flag_aer_feedback, new_aod, &
+            flag_aerosol, flag_aerosol_strat, flag_aer_feedback, &
             flag_bc_internal_mixture, bl95_b0, bl95_b1, &
                                 ! nv flags pour la convection et les
@@ -1575,5 +1573,5 @@
             ok_hf,ok_instan,ok_LES,ok_ade,ok_aie, &
             read_climoz, phys_out_filestations, &
-            new_aod, aerosol_couple, &
+            aerosol_couple, &
             flag_aerosol_strat, pdtphys, paprs, pphis,  &
             pplay, lmax_th, ptconv, ptconvth, ivap,  &
@@ -1688,5 +1686,5 @@
        CALL phys_output_write(itap, pdtphys, paprs, pphis,                    &
                               pplay, lmax_th, aerosol_couple,                 &
-                              ok_ade, ok_aie, ok_volcan, ivap, iliq, isol, new_aod, ok_sync,&
+                              ok_ade, ok_aie, ok_volcan, ivap, iliq, isol, ok_sync,&
                               ptconv, read_climoz, clevSTD,                   &
                               ptconvth, d_u, d_t, qx, d_qx, zmasse,           &
@@ -3771,5 +3769,5 @@
                 !
                 CALL readaerosol_optic( &
-                     debut, new_aod, flag_aerosol, itap, jD_cur-jD_ref, &
+                     debut, flag_aerosol, itap, jD_cur-jD_ref, &
                      pdtphys, pplay, paprs, t_seri, rhcl, presnivs,  &
                      mass_solu_aero, mass_solu_aero_pi,  &
@@ -3796,5 +3794,5 @@
                    !--climatologies or INCA aerosols
                    CALL readaerosol_optic_rrtm( debut, aerosol_couple, ok_alw, ok_volcan, &
-                        new_aod, flag_aerosol, flag_bc_internal_mixture, itap, jD_cur-jD_ref, &
+                        flag_aerosol, flag_bc_internal_mixture, itap, jD_cur-jD_ref, &
                         pdtphys, pplay, paprs, t_seri, rhcl, presnivs,  &
                         tr_seri, mass_solu_aero, mass_solu_aero_pi,  &
@@ -3813,5 +3811,5 @@
                    !
                    CALL readaerosol_optic( &
-                        debut, new_aod, flag_aerosol, itap, jD_cur-jD_ref, &
+                        debut, flag_aerosol, itap, jD_cur-jD_ref, &
                         pdtphys, pplay, paprs, t_seri, rhcl, presnivs,  &
                         mass_solu_aero, mass_solu_aero_pi,  &
@@ -4102,5 +4100,5 @@
                ! Rajoute par OB pour RRTM
                tau_aero_lw_rrtm, & 
-               cldtaupirad,new_aod, &
+               cldtaupirad, &
 !              zqsat, flwcrad, fiwcrad, &
                zqsat, flwc, fiwc, &
@@ -4189,5 +4187,5 @@
                                 ! Rajoute par OB pour RRTM
                      tau_aero_lw_rrtm, &
-                     cldtaupi,new_aod, &
+                     cldtaupi, &
 !                    zqsat, flwcrad, fiwcrad, &
                      zqsat, flwc, fiwc, &
@@ -5072,5 +5070,5 @@
   CALL phys_output_write_spl(itap, pdtphys, paprs, pphis,  &
        pplay, lmax_th, aerosol_couple,                 &
-       ok_ade, ok_aie, ivap, new_aod, ok_sync,         &
+       ok_ade, ok_aie, ivap, ok_sync,         &
        ptconv, read_climoz, clevSTD,                   &
        ptconvth, d_t, qx, d_qx, d_tr_dyn, zmasse,      &
@@ -5079,5 +5077,5 @@
     CALL phys_output_write(itap, pdtphys, paprs, pphis,  &
          pplay, lmax_th, aerosol_couple,                 &
-         ok_ade, ok_aie, ok_volcan, ivap, iliq, isol, new_aod,      & 
+         ok_ade, ok_aie, ok_volcan, ivap, iliq, isol,    & 
          ok_sync, ptconv, read_climoz, clevSTD,          &
          ptconvth, d_u, d_t, qx, d_qx, zmasse,           &
Index: LMDZ6/trunk/libf/phylmd/radlwsw_m.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/radlwsw_m.F90	(revision 3625)
+++ LMDZ6/trunk/libf/phylmd/radlwsw_m.F90	(revision 3630)
@@ -21,5 +21,5 @@
    tau_aero_sw_rrtm, piz_aero_sw_rrtm, cg_aero_sw_rrtm,& ! rajoute par OB pour RRTM
    tau_aero_lw_rrtm, &                                   ! rajoute par C. Kleinschmitt pour RRTM
-   cldtaupi, new_aod, &
+   cldtaupi, &
    qsat, flwc, fiwc, &
    ref_liq, ref_ice, ref_liq_pi, ref_ice_pi, &
@@ -222,5 +222,4 @@
 
   REAL,    INTENT(in)  :: cldtaupi(KLON,KLEV)                            ! cloud optical thickness for pre-industrial aerosol concentrations
-  LOGICAL, INTENT(in)  :: new_aod                                        ! flag pour retrouver les resultats exacts de l'AR4 dans le cas ou l'on ne travaille qu'avec les sulfates
   REAL,    INTENT(in)  :: qsat(klon,klev) ! Variable pour iflag_rrtm=1
   REAL,    INTENT(in)  :: flwc(klon,klev) ! Variable pour iflag_rrtm=1
@@ -652,22 +651,5 @@
 !     print *,'Avant SW_LMDAR4: PSCT zrmu0 zfract',PSCT, zrmu0, zfract
        ! daylight ozone, if we have it, for short wave
-       IF (.NOT. new_aod) THEN 
-          ! use old version
-          CALL SW_LMDAR4(PSCT, zrmu0, zfract,&
-               PPMB, PDP, &
-               PPSOL, PALBD, PALBP,&
-               PTAVE, PWV, PQS, POZON(:, :, size(wo, 3)), PAER,&
-               PCLDSW, PTAU, POMEGA, PCG,&
-               zheat, zheat0,&
-               zalbpla,ztopsw,zsolsw,ztopsw0,zsolsw0,&
-               ZFSUP,ZFSDN,ZFSUP0,ZFSDN0,&
-               tauaero(:,:,5,:), pizaero(:,:,5,:), cgaero(:,:,5,:),& 
-               PTAUA, POMEGAA,&
-               ztopswadaero,zsolswadaero,&
-               ztopswaiaero,zsolswaiaero,& 
-               ok_ade, ok_aie) 
-          
-       ELSE ! new_aod=T         
-          CALL SW_AEROAR4(PSCT, zrmu0, zfract,&
+      CALL SW_AEROAR4(PSCT, zrmu0, zfract,&
                PPMB, PDP,&
                PPSOL, PALBD, PALBP,&
@@ -686,5 +668,4 @@
                ztopswcf_aero,zsolswcf_aero, & 
                ok_ade, ok_aie, flag_aerosol,flag_aerosol_strat) 
-       ENDIF
 
        ZSWFT0_i(:,:) = ZFSDN0(:,:)-ZFSUP0(:,:)
Index: LMDZ6/trunk/libf/phylmd/readaerosol_optic.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/readaerosol_optic.F90	(revision 3625)
+++ LMDZ6/trunk/libf/phylmd/readaerosol_optic.F90	(revision 3630)
@@ -1,5 +1,5 @@
 ! $Id$
 !
-SUBROUTINE readaerosol_optic(debut, new_aod, flag_aerosol, itap, rjourvrai, &
+SUBROUTINE readaerosol_optic(debut, flag_aerosol, itap, rjourvrai, &
      pdtphys, pplay, paprs, t_seri, rhcl, presnivs, &
      mass_solu_aero, mass_solu_aero_pi, &
@@ -22,5 +22,4 @@
 !****************************************************************************************
   LOGICAL, INTENT(IN)                      :: debut
-  LOGICAL, INTENT(IN)                      :: new_aod
   INTEGER, INTENT(IN)                      :: flag_aerosol
   INTEGER, INTENT(IN)                      :: itap
@@ -189,6 +188,4 @@
   END DO
 
-  IF (new_aod) THEN 
-
 ! RAF delete??     fractnat_allaer(:,:) = 0.
 ! RAF fractnat_allaer -> m_allaer_pi
@@ -206,10 +203,4 @@
           flag_aerosol, pplay, t_seri,   &
           tausum_aero, tau3d_aero, presnivs)
-  ELSE
-
-     CALL aeropt(pplay, paprs, t_seri, sulfate, rhcl, &
-          tau_aero(:,:,id_ASSO4M_phy,:), piz_aero(:,:,id_ASSO4M_phy,:), cg_aero(:,:,id_ASSO4M_phy,:), aerindex)
-     
-  END IF
 
 ! Diagnostics calculation for CMIP5 protocol
Index: LMDZ6/trunk/libf/phylmd/rrtm/readaerosol_optic_rrtm.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/rrtm/readaerosol_optic_rrtm.F90	(revision 3625)
+++ LMDZ6/trunk/libf/phylmd/rrtm/readaerosol_optic_rrtm.F90	(revision 3630)
@@ -2,5 +2,5 @@
 !
 SUBROUTINE readaerosol_optic_rrtm(debut, aerosol_couple, ok_alw, ok_volcan, &
-     new_aod, flag_aerosol, flag_bc_internal_mixture, itap, rjourvrai, &
+     flag_aerosol, flag_bc_internal_mixture, itap, rjourvrai, &
      pdtphys, pplay, paprs, t_seri, rhcl, presnivs, &
      tr_seri, mass_solu_aero, mass_solu_aero_pi, &
@@ -33,5 +33,4 @@
   LOGICAL, INTENT(IN)                      :: ok_alw
   LOGICAL, INTENT(IN)                      :: ok_volcan
-  LOGICAL, INTENT(IN)                      :: new_aod
   INTEGER, INTENT(IN)                      :: flag_aerosol
   LOGICAL, INTENT(IN)                      :: flag_bc_internal_mixture
